# fspecs
Fetch system details and display them in your console.
<br><br>

> ### Images
<img src="assets/preview.png">
<br><br><br>

> ### Compatibility
Windows XP Professional and newer (any edition should work, on newer Windows versions)
<br><br>

> ### Compiling

```
how to compile this script while maintaining XP support (manual method, you can also use the compile.bat, if you have curl in your path):

1. download python 3.4.4 (https://www.python.org/downloads/release/python-344/)
architecture should be the same as the architecture you want to target

perma-links:
32bit: https://www.python.org/ftp/python/3.4.4/python-3.4.4.msi
64bit: https://www.python.org/ftp/python/3.4.4/python-3.4.4.amd64.msi

2. open a cmd, extract python's msi file, so you don't have to install it:
msiexec /a "python-3.4.4.msi" /qb targetdir="%cd%\python34"
folder will be created if it does not exist. note that targetdir has to be an absolute path.

3. add the full path to your extracted python in front of %path%:
set path=%cd%\python34;%path%

4. enter "python.exe --version" if it does not output Python 3.4.4, you should close cmd, open cmd, and retry step 3.
it's important you make sure this is correct.

5. download get-pip for python 3.4 to get the most up-to-date pip: https://bootstrap.pypa.io/pip/3.4/get-pip.py -- run it with: python.exe get-pip.py

6. install the following prerequisites:
pefile 2019.4.18: python.exe -m pip install "pefile==2019.4.18"
pyinstaller 3.4: python.exe -m pip install "PyInstaller==3.4"
colorama 0.3.5: python.exe -m pip install "colorama==0.3.5"

7. compile by entering this command:
python.exe -m PyInstaller fspecs.py --onefile

8. you can find the EXEs in dist\
```
<br>

> ### Editing the ascii art
- **fspecs.ascii-luma.txt:** These are the symbols you want to use in your ascii art
- **fspecs.ascii-chroma.txt:** Holds color to use for each symbol in your art, it aligns with fspecs.ascii-luma.txt
<br><br>

> ### Colors
- **a:** black
- **b:** red
- **c:** green
- **d:** yellow
- **e:** blue
- **f:** magenta
- **g:** cyan
- **h:** white
- **i:** reset (default)

Big letters for bright colors.
<br><br>

> ### Configuration (fspecs.ini)
- **msg:** The text you want to be displayed under your specs